org.eclipse.microprofile.fault.tolerance.tck.bulkhead.lifecycle

## Class BulkheadLifecycleTest

- java.lang.Object
- - org.jboss.arquillian.testng.Arquillian
  - - org.eclipse.microprofile.fault.tolerance.tck.bulkhead.lifecycle.BulkheadLifecycleTest

All Implemented Interfaces:
  org.testng.IHookable, org.testng.ITestNGListener

    public class BulkheadLifecycleTest
    extends org.jboss.arquillian.testng.Arquillian

Test that bulkhead is a singleton, even if the bean is not.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.jboss.arquillian.testng.Arquillian

`org.jboss.arquillian.testng.Arquillian.UpdateResultListener`

### Field Summary

### Fields inherited from class org.jboss.arquillian.testng.Arquillian

`ARQUILLIAN_DATA_PROVIDER`

### Constructor Summary

Constructors
Constructor and Description
`BulkheadLifecycleTest()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.jboss.shrinkwrap.api.spec.WebArchive` `deploy()`
`void` `noSharingBetweenClasses()`
`void` `noSharingBetweenClassesWithCommonSuperclass()`
`void` `noSharingBetweenMethodsOfOneClass()`

### Methods inherited from class org.jboss.arquillian.testng.Arquillian

`arquillianAfterClass, arquillianAfterSuite, arquillianAfterTest, arquillianArgumentProvider, arquillianBeforeClass, arquillianBeforeSuite, arquillianBeforeTest, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BulkheadLifecycleTest

    public BulkheadLifecycleTest()

### Method Detail

#### deploy

    @Deployment
    public static org.jboss.shrinkwrap.api.spec.WebArchive deploy()

#### noSharingBetweenClasses

    public void noSharingBetweenClasses()
                                 throws InterruptedException,
                                        ExecutionException,
                                        TimeoutException

Throws:
  `InterruptedException`
  `ExecutionException`
  `TimeoutException`

#### noSharingBetweenClassesWithCommonSuperclass

    public void noSharingBetweenClassesWithCommonSuperclass()
                                                     throws InterruptedException,
                                                            ExecutionException,
                                                            TimeoutException

Throws:
  `InterruptedException`
  `ExecutionException`
  `TimeoutException`

#### noSharingBetweenMethodsOfOneClass

    public void noSharingBetweenMethodsOfOneClass()
                                           throws InterruptedException,
                                                  ExecutionException,
                                                  TimeoutException

Throws:
  `InterruptedException`
  `ExecutionException`
  `TimeoutException`